{% extends 'base.html.twig' %}

{% block localstyle %}
    #page-wrapper {
        padding: 0px;
        min-height:0px !important;
    }
{% endblock %}

{% block pagewrapper %}
    <h3 class="page-title">Téléchargez votre Fichier CSV</h3>
    <a class="btn btn-secondary" onClick="closeModal();">Annuler</a>

    <form action="{{ oneup_uploader_endpoint('importuser') }}" class="dropzone" id="MyDropZone" style="margin-top:10px">
    </form>
{% endblock %}



{% block localjavascript %}
    Dropzone.options.MyDropZone = {
        maxFiles: 1,

        success: function( file, response ){
            parent.$("#file_value").val("uploads/importuser/"+response["file"]);
            closeModal();
        }
    }

    function closeModal() {
        window.parent.$("#mymodal").modal('hide');
    }

    $(window).on("load",function () {
        // On vérifie que l'execution se fait bien dans le cadre d'une modal
        if(!window.parent.$("#mymodal #framemodal").length) {
             $(location).attr('href',"{{ path('app_core_home') }}");
        }
    });
{% endblock %}
